/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { GoogleMapService } from './google-map.service';
import { GpsControl } from './gps-control';
import * as i0 from "@angular/core";
export declare class AswGpsDialog implements OnInit {
    private formBuilder;
    private googleMapService;
    dialogRef: MatDialogRef<AswGpsDialog>;
    control: any;
    constants: any;
    aswEditGpsForm: FormGroup;
    status: boolean;
    filteredAddress: any;
    searchedAddress: any[];
    constructor(formBuilder: FormBuilder, googleMapService: GoogleMapService, dialogRef: MatDialogRef<AswGpsDialog>, control: any);
    ngOnInit(): Promise<void>;
    validateFormBuilder(): void;
    editProperty(control: GpsControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    private searchAddressFromExitingData;
    private selectedAddress;
    getAddressFromGoogleApi(address: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswGpsDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswGpsDialog, "asw-gps-dialog", never, {}, {}, never, never>;
}
